Solution.Presentation/Controllers/tasksController.cs
using Solution.Domain.Entities;
using Solution.Presentation.Models;
using Solution.Service;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Mail;
using System.Web;
using System.Web.Mvc;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Solution.Presentation.Controllers
{
    public class tasksController : Controller
    {
        ServiceTask tt = new ServiceTask();
        IServiceOrganizer so = new ServiceOrganizer();
        // GET: tasks
        public ActionResult Index(string searchString)
        {
            List<TaskVM> ts = new List<TaskVM>();
            if(searchString =="")
            {
                foreach (tasks t in tt.GetMany())
                {
                    ts.Add(new TaskVM()
                    {
                        deadline = t.deadline,
                        description = t.description,
                        id = t.id,
                        idOrganizer = t.idOrganizer,
                        nom = t.nom
                    });
                }
            }
            else {
                foreach (tasks t in tt.SearchTaskByName(searchString))
                {
                    ts.Add(new TaskVM()
                    {
                        deadline = t.deadline,
                        description = t.description,
                        id = t.id,
                        idOrganizer = t.idOrganizer,
                        nom = t.nom

                    });
                }
            }
           
           
            return View(ts);
        }

        // GET: tasks/Details/5
        public ActionResult Details(int id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            var t = tt.GetById(id);
            TaskVM s = new TaskVM()
            {
                deadline = t.deadline,
                description = t.description,
                id = t.id,
                idOrganizer=t.idOrganizer,
                nom=t.nom
            };
            return View(s);
        }

        // GET: tasks/Create
        public ActionResult Create()
        {
           
            var organizers = so.GetMany();
            ViewBag.ListOrg = new SelectList(organizers, "Id", "prenom");
            return View();
        }

        // POST: tasks/Create
        [HttpPost]
        
        [ValidateAntiForgeryToken]
        public ActionResult Create(TaskVM t)
        {
            tasks f = new tasks()
            {
                deadline=t.deadline,
                description=t.description,
               
                idOrganizer=t.idOrganizer,
                nom=t.nom,
                
            };
            tt.Add(f);
            tt.Commit();
            try

            {

                MailMessage mail = new MailMessage("wafa.dardouri@esprit.tn", "wafa.dardouri@esprit.tn", "affectation de tache", "votre tache est affecter  ");

                mail.IsBodyHtml = true;

                SmtpClient smtpClient = new SmtpClient("Smtp.gmail.com", 587);

                smtpClient.EnableSsl = true;




                smtpClient.Credentials = new System.Net.NetworkCredential("wafa.dardouri@esprit.tn", "09829531");

                smtpClient.Send(mail);




            }

            catch (Exception ex)

            {

                Console.WriteLine(ex.StackTrace);

            }

            return RedirectToAction("Index");
        }


        // GET: tasks/Edit/5
        public ActionResult Edit(int id)
        {
            tasks aa = tt.GetById(id);
            TaskVM tm = new TaskVM();

            tm.nom = aa.nom;
            tm.deadline = aa.deadline;
            tm.description = aa.description;
            return View(tm);
           
        }

        // POST: tasks/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, TaskVM tm)
        {
            try
            {
                tasks aa = tt.GetById(id);
                aa.nom = tm.nom;
                aa.description = tm.description;
                aa.deadline = tm.deadline;

                tt.Update(aa);
                tt.Commit();
                return RedirectToAction("index");

            }
            catch (Exception ex)
            {
                return View(tm);
            }
           
        }

        // GET: tasks/Delete/5
        public ActionResult Delete()
        {
          
            return View();
        }

        // POST: tasks/Delete/5
        [HttpPost]
        public ActionResult Delete(int id)
        {
            tasks task = tt.GetById((int)id);
            tt.Delete(task);
            tt.Commit();
            return RedirectToAction("Index");
        }

        public ActionResult ExportToExcel()

        {

            ServiceTask rp = new ServiceTask();




            var gv = new GridView();

            var liste = rp.GetMany();

            gv.DataSource = liste.ToList();

            gv.DataBind();




            Response.ClearContent();

            Response.Buffer = true;

            Response.AddHeader("content-disposition", "attachment; filename=MyExcelFile.xls");

            Response.ContentType = "application/ms-excel";




            Response.Charset = "";

            StringWriter sw = new StringWriter();

            HtmlTextWriter htw = new HtmlTextWriter(sw);




            gv.RenderControl(htw);




            Response.Output.Write(sw.ToString());

            Response.Flush();

            Response.End();




            return View("Index");




        }
    }
}

Solution.Presentation/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>


<!-- Mirrored from eve-html.wearecodevision.com/ by HTTrack Website Copier/3.x [XR&CO'2014], Fri, 05 Apr 2019 10:58:58 GMT -->
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">

    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" type="text/css">
    <link href="~/Content/assets/libraries/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/assets/libraries/owl-carousel/owl.carousel.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/assets/libraries/owl-carousel/owl.carousel.default.css" rel="stylesheet" type="text/css">
    <link href="~/Content/assets/css/eve.css" rel="stylesheet" type="text/css" id="css-primary">
    <link rel="shortcut icon" type="image/x-icon" href="~/Content/assets/img/favicon.png">

    <title>EVE - Smart Events HTML Template</title>
</head>

<body class="">

    <div class="header-sticky">
        <div class="header-sticky-inner">
            <div class="header-logo">
                <a href="index-2.html">
                    <span class="eve-logo"><i class="fa fa-star"></i></span>
                </a>
            </div><!-- /.header-logo -->

            <div class="nav-primary navbar-toggleable-md collapse">
                <ul class="nav nav-pills">
                    <li class="nav-item has-children">
                        <a href="#" class="nav-link active">Home</a>

                        <ul class="sub-menu">
                            <li><a href="index-2.html">Creative Hero</a></li>
                            <li><a href="index-map.html">Google Map Hero</a></li>
                        </ul>
                    </li>
                    <li class="nav-item"></li>
                    <li class="nav-item"><a href="events-top.html" class="nav-link ">Popular</a></li>
                    <li class="nav-item"><a href="pricing.html" class="nav-link ">Pricing</a></li>
                    <li class="nav-item"><a href="blog.html" class="nav-link ">Blog</a></li>
                    <li class="nav-item"><a href="contact.html" class="nav-link ">Contact</a></li>
                </ul>
            </div><!-- /.nav-primary -->

            <button class="navbar-toggler hidden-lg-up" type="button" data-toggle="collapse" data-target=".header .nav-primary">
                <span></span>
                <span></span>
                <span></span>
            </button>
        </div><!-- /.header-sticky-inner -->
    </div><!-- /.header-sticky -->

    <div class="page-wrapper">
        <div class="header-wrapper">
            <div class="header">
                <div class="header-inner">
                    <div class="header-top">
                        <div class="container-fluid">
                            <div class="header-logo">
                                <a href="index-2.html">
                                    <span class="eve-logo"><i class="fa fa-star"></i></span>
                                    <strong>
                                        <span>Smart Events Theme</span>
                                    </strong>
                                </a>
                            </div><!-- /.header-logo -->

                            <div class="header-toggle sidenav-trigger">
                            </div><!-- /.header-toggle -->

                            <div class="header-btn">
                                <a class="btn btn-secondary" href="/tasks/Create">Submit Task</a><!-- /.btn -->
                            </div><!-- /.header-btn -->

                           

                        </div><!-- /.container-fluid -->
                    </div><!-- /.header-top -->

                    <div class="header-bottom">
                        <div class="container-fluid">
                            <div class="nav-primary navbar-toggleable-md collapse">
                                <ul class="nav nav-pills">
                                    <li class="nav-item">
                                        <a href="/" class="nav-link active">Home</a>

                                        
                                    </li>
                                    <li class="nav-item">@Html.ActionLink("Tasks", "index", "tasks", null, new { @class = "nav-link" })</li>
                                    
                                </ul>
                            </div><!-- /.nav-primary -->

                            <button class="navbar-toggler hidden-lg-up" type="button" data-toggle="collapse" data-target=".header .nav-primary">
                                <span></span>
                                <span></span>
                                <span></span>
                            </button>

                            <ul class="nav nav-social nav-right">
                                <li class="nav-item"><a href="#" class="nav-link"><i class="fa fa-smile-o"></i></a></li>

                                <a class="c-notification dropdown-toggle" href="#" id="dropdownMenuAlerts" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                                    <span class="c-notification__number">@TempData["data"]</span>
                                </a>
                            </ul>

                            <ul class="nav nav-pills nav-secondary nav-right"></ul>
                        </div><!-- /.container-fluid -->
                    </div><!-- /.header-bottom -->
                </div><!-- /.header-inner -->
            </div><!-- /.header -->
        </div><!-- /.header-wrapper -->

        <div class="main-wrapper">
            <div class="main">
                <div class="main-inner">


                    <div class="content">

                        <script src="http://maps.googleapis.com/maps/api/js" type="text/javascript"></script>

                        <script type="text/javascript" src="~/Content/assets/js/jquery.js"></script>
                        <script type="text/javascript" src="~/Content/assets/js/tether.min.js"></script>
                        <script type="text/javascript" src="~/Content/assets/js/bootstrap.min.js"></script>
                        <script type="text/javascript" src="~/Content/assets/libraries/bootstrap-typeahead/bootstrap3-typeahead.min.js"></script>
                        <script type="text/javascript" src="~/Content/assets/libraries/owl-carousel/owl.carousel.min.js"></script>
                        <script type="text/javascript" src="~/Content/assets/js/jquery.gmap3.js"></script>
                        <script type="text/javascript" src="~/Content/assets/js/jquery.ezmark.min.js"></script>
                        <script type="text/javascript" src="~/Content/assets/js/eve.js"></script>
                        @RenderBody()

                        @Scripts.Render("~/bundles/jquery")
                        @Scripts.Render("~/bundles/bootstrap")
                        @RenderSection("scripts", required: false)

                        </body>

<!-- Mirrored from eve-html.wearecodevision.com/ by HTTrack Website Copier/3.x [XR&CO'2014], Fri, 05 Apr 2019 11:00:06 GMT -->
</html>